Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.pkix.cmmf
Class CertOrEncCert

    java.lang.Object
      |
      +--org.mozilla.jss.pkix.cmmf.CertOrEncCert

All Implemented Interfaces:
  ASN1Value

public class CertOrEncCert
extends java.lang.Object
implements ASN1Value

Field Summary
`private ANY` | `certificate`
`(package private) byte[]` | `encoding`
`static Tag` | `TAG`

Constructor Summary
`CertOrEncCert(byte[] encodedCert)`

Method Summary
`void` | `encode(java.io.OutputStream ostream)` Write this value's DER encoding to an output stream using its own base tag.
`void` | `encode(Tag implicitTag, java.io.OutputStream ostream)` Write this value's DER encoding to an output stream using an implicit tag.
`Tag` | `getTag()` Returns the base tag for this type, not counting any tags that may be imposed on it by its context.

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### certificate

    private ANY certificate

### encoding

    byte[] encoding

### TAG

    public static final Tag TAG

Constructor Detail

### CertOrEncCert

    public CertOrEncCert(byte[] encodedCert)
                  throws java.io.IOException,
                         InvalidBERException

  Throws:
    `InvalidBERException` - If the certificate is not a valid BER-encoding.

Method Detail

### getTag

    public Tag getTag()

  Description copied from interface: `ASN1Value`
  Returns the base tag for this type, not counting any tags that may be imposed on it by its context.
  Specified by:
    `getTag` in interface `ASN1Value`

### encode

    public void encode(java.io.OutputStream ostream)
                throws java.io.IOException

  Description copied from interface: `ASN1Value`
  Write this value's DER encoding to an output stream using its own base tag.
  Specified by:
    `encode` in interface `ASN1Value`

### encode

    public void encode(Tag implicitTag,
                       java.io.OutputStream ostream)
                throws java.io.IOException

  Description copied from interface: `ASN1Value`
  Write this value's DER encoding to an output stream using an implicit tag.
  Specified by:
    `encode` in interface `ASN1Value`
  Parameters:
    `implicitTag` - This parameter is ignored, because a CHOICE cannot have an implicit tag.

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD